Bug 1608447 - [RFE] allow setting puppet ca port in bootstrap.py
Summary: [RFE] allow setting puppet ca port in bootstrap.py
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Bootstrap
Version: 6.3.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 6.4.0
Assignee: Rich Jerrido
QA Contact: Ales Dujicek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-25 14:35 UTC by Chris Duryee
Modified: 2019-11-05 23:30 UTC (History)
4 users (show)

Fixed In Version: katello-client-bootstrap-1.6.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:32:26 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Chris Duryee 2018-07-25 14:35:43 UTC
Description of problem:

Some users need to set a non-default Puppet CA port in bootstrap.py. This is configured via "--puppet-ca-port". After setting the option, the Puppet client should reach out to the Puppet server on the configured port for CA signing requests.

This feature already exists in upstream bootstrap.py; a rebase should pick it up.

Comment 2 Rich Jerrido 2018-08-02 09:46:49 UTC
Moving to POST as https://github.com/Katello/katello-client-bootstrap/pull/250 has been closed.

Comment 3 Rich Jerrido 2018-08-02 10:02:25 UTC
Additionally, we need to rebase bootstrap to version 1.6.0 for Satellite 6.4 release.

Comment 6 errata-xmlrpc 2018-10-16 15:32:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.